=== debian/changelog ===
fcitx (1:4.2.9.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/patches: Refresh patches; drop patch 0003-0006, applied upstream.
  * d/control: Use kdialog instead of kdebase-bin as dependency.
    Closes: #885836, Closes: #885850
  * d/control: Add X-Ubuntu-Use-Langpack: yes to strip translation
    for Ubuntu.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 24 Feb 2018 10:07:17 +0800

fcitx (1:4.2.9.5-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Add patch to fix spelling errors. Closes: #826696.
  * d/control: Use debian-input-method maillist in maintainer field.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 05 Feb 2018 09:13:53 +0800

fcitx (1:4.2.9.5-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop binary package fcitx-module-quickphrase-editor, fcitx-qt5
    will provide it instead.
  * Bump Standards-Version to 4.1.3. (no changes needed)
  * Make libfcitx-qt0 provides fcitx-libs-qt to make older software
    that depend on fcitx-libs-qt happy.
  * Update d/copyright file.
  * Drop unnecessary patch 0003 in d/patches, applied upstream.
  * Add new build dependency uuid-dev.
  * Install new module fcitx-ipcportal into fcitx-modules.
  * Use secure uri in d/watch file.
  * Initiate SONAME Bump for libfcitx-gclient.
  * d/patches: Backport several upstream patches from trunk.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 31 Dec 2017 22:41:01 +0800

fcitx (1:4.2.9.4-3) unstable; urgency=medium

  * Restore fcitx-libs for compatibility

 -- Aron Xu <aron@debian.org>  Tue, 24 Oct 2017 23:36:22 +0800

fcitx (1:4.2.9.4-2) unstable; urgency=medium

  [ Aron Xu ]
  * Revert "debian: update control file"
  * Update std-ver to 4.1.1

 -- Aron Xu <aron@debian.org>  Mon, 23 Oct 2017 19:06:33 +0800

fcitx (1:4.2.9.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop cherry-picked patches 0003-0011.
  * Drop transitional package fcitx-libs.
  * Drop transitional package fcitx-libs-gclient.
  * Drop transitional package fcitx-libs-qt.
  * Refresh library symbols.
  * Refresh d/copyright information.
  * Refresh packaging instructions.
    + Bump Standards-Version to 4.1.0.
    + Bump debhelper compat to v10.
    + Use canonical Vcs URL.
    + Fix various typos.
  * Put gir XML file into fcitx-libs-dev package to fix lintian warning.
  * Migrate to -dbgsym packages.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 03 Oct 2017 23:11:03 +0800

fcitx (1:4.2.9.1-5) unstable; urgency=medium

  * Cherry-pick from upstream:
    - Fix xshape version check in classic ui
      completes the fix for LP: #1634004

 -- Aron Xu <happyaron.xu@gmail.com>  Wed, 19 Oct 2016 06:55:03 +0800

fcitx (1:4.2.9.1-4) unstable; urgency=medium

  * Cherry-pick from upstream:
    - Check XShape version before using it (LP: #1634004)

 -- Aron Xu <aron@debian.org>  Mon, 17 Oct 2016 09:55:44 +0800

fcitx (1:4.2.9.1-3) unstable; urgency=medium

  * Cherry-pick from upstream commits:
    - Do not show autostart desktop file
    - Handle XmbResetIC() (LP: #1608469)
    - Better notificationitem handling for unity

 -- Aron Xu <aron@debian.org>  Tue, 20 Sep 2016 04:07:02 +0800

fcitx (1:4.2.9.1-2) unstable; urgency=medium

  * Enable opencc support

 -- Aron Xu <aron@debian.org>  Mon, 08 Aug 2016 18:51:42 +0800
