=== debian/watch ===
version=3
https://download.fcitx-im.org/fcitx/ fcitx-([0-9]\.*.*)_dict\.tar\.xz
