## fcitx 4.2.9.7

=== src/module/CMakeLists.txt ===
add_subdirectory(x11)

if(ENABLE_X11 AND ENABLE_XKB)
  set(_ENABLE_XKB On)
else()
  set(_ENABLE_XKB Off)
endif()
add_subdirectory(xkb)

if(_ENABLE_DBUS AND _ENABLE_XKB)
  set(_ENABLE_XKBDBUS On)
else()
  set(_ENABLE_XKBDBUS Off)
endif()
add_subdirectory(xkbdbus)

add_subdirectory(chttrans)
add_subdirectory(punc)
add_subdirectory(spell)
add_subdirectory(pinyin-enhance)
add_subdirectory(quickphrase)
add_subdirectory(autoeng)
add_subdirectory(fullwidthchar)
add_subdirectory(remote)
add_subdirectory(imselector)
add_subdirectory(clipboard)
add_subdirectory(vk)
add_subdirectory(dbus)
add_subdirectory(lua)
add_subdirectory(unicode)
add_subdirectory(freedesktop-notify)
add_subdirectory(notificationitem)
