=== debian/changelog ===
fcitx (1:4.2.9.7-3) unstable; urgency=medium

  * Team upload.
  * debian/patches: Add patch to gain enchant-2 compatibility for
    cmake files.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jan 2020 16:18:53 -0500

fcitx (1:4.2.9.7-2) unstable; urgency=high

  * Team upload.
  * debian/control: Build-depend on enchant-2 instead of enchant
    1.x.
  * debian/rules: Explicitly specify the path to the enchant-2
    libraries.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Jan 2020 15:38:51 -0500

fcitx (1:4.2.9.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 4.2.9.7.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Use "Rules-Requires-Root: no".
    + Switch homepage to GitHub project.
  * debian/rules: Drop cruft around Qt4.
  * debian/upstream/signing-key.asc: Added.
  * debian/watch: Rewrite in v4 format with automatic gpg detection.
  * debian/patches: Drop backported patches and refresh.

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Nov 2019 11:07:44 -0500

fcitx (1:4.2.9.6-6) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
    + Bump debhelper compat to v12.
    - Drop everything related to Qt4. (Closes: #874868)
    + Unconditionally break package fcitx-module-quickphrase-editor
      since it should not appear in newer Debian system.
  * debian/compat: Dropped, not needed.

 -- Boyuan Yang <byang@debian.org>  Thu, 19 Sep 2019 16:45:44 -0400

fcitx (1:4.2.9.6-5) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump Standards-Version to 4.2.1.
    + Update YunQiang Su's email address and use the @debian.org one.
    + Add new build-dependency libjson-c-dev.
    - Remove reference to im-switch, long disappeared.
  * debian/patches: Backport patches to fix #907523.
    Closes: #907523.

 -- Boyuan Yang <byang@debian.org>  Thu, 30 Aug 2018 14:54:54 -0400

fcitx (1:4.2.9.6-4) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Add Breaks+Replaces against old fcitx-libs-dev for file replacement.
      Closes: #903454.
    + Update Vcs fields to indicate that the packaging repo is maintained
      under Salsa input-method-team.
    + Bump Standards-Version to 4.1.5. (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Mon, 23 Jul 2018 10:11:14 +0800

fcitx (1:4.2.9.6-3) unstable; urgency=medium

  * Team upload.
  * Manual rebuild against opencc 1.0.5.
  * Use GitLab repository as upstream homepage to coordinate with
    upstream project migration.
  * Install fcitx4-config into fcitx-bin instead of fcitx-libs-dev.
    This partially solves #806567.
  * d/rules: Pass "--as-needed" option to the linker.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 29 Jun 2018 19:40:05 +0800

fcitx (1:4.2.9.6-2) unstable; urgency=medium

  * Team upload.
  * d/control: Use Salsa repository for Vcs fields.
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed).
  * d/control: Fix Break relationship with fcitx-module-quickphrase-editor,
    let fcitx-modules recommends fcitx5-module-quickphrase-editor.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 28 Apr 2018 10:46:56 +0800
