=== debian/control ===
--- 
+++ 
@@ -3,35 +3,36 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
-Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
+Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <syq@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                extra-cmake-modules,
                gobject-introspection,
                iso-codes,
                qtbase5-dev,
                libcairo2-dev (>= 1.0),
-               libenchant-dev,
+               libenchant-2-dev,
                libgettextpo-dev,
                libgirepository1.0-dev,
                libgtk-3-dev,
                libgtk2.0-dev,
                libicu-dev,
+               libjson-c-dev,
                libkvm-dev [kfreebsd-any],
                liblua5.2-dev | liblua5.1-0-dev,
                libopencc-dev (>= 1.0.1),
                libpango1.0-dev (>= 1.0),
                libpresage-dev (>= 0.9.1-1.1~),
-               libqt4-dev,
                libxkbfile-dev,
                libxkbcommon-dev (>= 0.5.0~),
                libxml2-dev,
                uuid-dev,
-               x11proto-xinerama-dev
-Standards-Version: 4.1.3
+               x11proto-xinerama-dev,
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: https://github.com/fcitx/fcitx
-Vcs-Git: https://anonscm.debian.org/git/pkg-ime/fcitx.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ime/fcitx.git
+Vcs-Git: https://salsa.debian.org/input-method-team/fcitx.git
+Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx
 X-Ubuntu-Use-Langpack: yes
 
 Package: fcitx
@@ -40,7 +41,7 @@
 Recommends: fcitx-config-gtk | kde-config-fcitx,
             fcitx-frontend-all | fcitx-frontend-fbterm,
             fcitx-ui-classic | fcitx-ui-light,
-            im-config (>= 0.5) | im-switch
+            im-config (>= 0.5)
 Suggests: fcitx-m17n, fcitx-tools
 Description: Flexible Input Method Framework
  Fcitx is a input method framework with extension support, which provides
@@ -49,7 +50,7 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
@@ -61,8 +62,12 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: fcitx-data, fcitx-modules
 Suggests: fcitx (>= ${source:Upstream-Version})
-Replaces: fcitx (<< ${source:Upstream-Version})
-Breaks: fcitx (<< ${source:Upstream-Version})
+Replaces:
+ fcitx (<< ${source:Upstream-Version}),
+ fcitx-libs-dev (<< ${source:Version}),
+Breaks:
+ fcitx (<< ${source:Upstream-Version}),
+ fcitx-libs-dev (<< ${source:Version}),
 Description: Flexible Input Method Framework - essential binaries
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -70,7 +75,7 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
@@ -93,7 +98,7 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
@@ -107,7 +112,6 @@
          libfcitx-core0 (>= ${source:Version}),
          libfcitx-utils0 (>= ${source:Version}),
          libfcitx-gclient1 (>= ${source:Version}),
-         libfcitx-qt0 (>= ${source:Version}),
          ${misc:Depends}
 Suggests: fcitx (>= ${source:Upstream-Version})
 Replaces: fcitx (<< ${source:Upstream-Version})
@@ -119,7 +123,7 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
@@ -141,7 +145,7 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
@@ -164,7 +168,7 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
@@ -187,7 +191,7 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
@@ -212,36 +216,12 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
  This package contains the following library:
   * libfcitx-gclient - D-Bus client library for Glib
-
-Package: libfcitx-qt0
-Architecture: any
-Section: libs
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: fcitx (>= ${source:Upstream-Version})
-Replaces: fcitx (<< ${source:Upstream-Version}), fcitx-libs-qt (<< 1:4.2.8.5-3)
-Breaks: fcitx (<< ${source:Upstream-Version}), fcitx-libs-qt (<< 1:4.2.8.5-3)
-Provides: fcitx-libs-qt
-Description: Flexible Input Method Framework - Meta package for Qt library
- Fcitx is a input method framework with extension support, which provides
- an interface for entering characters of different scripts in applications
- using a variety of mapping systems.
- .
- It offers a pleasant and modern experience, with intuitive graphical
- configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
- for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
- API.
- .
- This package contains the following library:
-  * libfcitx-qt - D-Bus client library for Qt
 
 Package: fcitx-libs-dev
 Architecture: any
@@ -251,7 +231,6 @@
          libfcitx-config4 (= ${binary:Version}),
          libfcitx-core0 (= ${binary:Version}),
          libfcitx-gclient1 (= ${binary:Version}),
-         libfcitx-qt0 (= ${binary:Version}),
          libfcitx-utils0 (= ${binary:Version}),
          ${misc:Depends}
 Replaces: fcitx (<< ${source:Upstream-Version})
@@ -263,7 +242,7 @@
  .
  It offers a pleasant and modern experience, with intuitive graphical
  configuration tools and customizable skins and mapping tables. It is
- highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, support
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
  for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
  API.
  .
@@ -279,3 +258,26 @@
 Description: GObject introspection data for fcitx
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
+ using a variety of mapping systems.
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables. It is
+ highly modularized and extensible, with GTK+ 2/3 and Qt5 IM Modules, support
+ for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a developer-friendly
+ API.
+ .
+ This package can be used by other packages using the GIRepository format to
+ generate dynamic bindings.
+
+Package: fcitx-ui-classic
+Architecture: any
+Depends: fcitx-module-x11, ${misc:Depends}, ${shlibs:Depends}
+Recommends: fcitx (>= ${source:Upstream-Version}), zenity | kdialog
+Replaces: fcitx (<< ${source:Upstream-Version}),
+          fcitx-hangul (<< 0.3.0),
+          fcitx-unikey (<< 0.2.0)
+Breaks: fcitx (<< ${source:Upstream-Version}),
+        fcitx-hangul (<< 0.3.0),
+        fcitx-unikey (<< 0.2.0)
+Description: Flexible Input Method Framework - Classic user interface
+ Fcitx is a input method framework with extension support, which provides
